import { SimpleLocalIntegration } from '../../core/index.js';
import { LedBleConfigFlow } from './led_ble.classes.configflow.js';
import { createLedBleDiscoveryDescriptor } from './led_ble.discovery.js';
import type { ILedBleConfig } from './led_ble.types.js';
import { ledBleDomain, ledBleProfile } from './led_ble.types.js';

export class LedBleIntegration extends SimpleLocalIntegration<ILedBleConfig> {
  public readonly domain = ledBleDomain;
  public readonly discoveryDescriptor = createLedBleDiscoveryDescriptor();
  public readonly configFlow = new LedBleConfigFlow();

  constructor() {
    super(ledBleProfile);
  }
}
